# RiskModelSampleRiskDistribution (ARX GUI Documentation)

org.deidentifier.arx.risk

## Class RiskModelSampleRiskDistribution

- java.lang.Object
- - org.deidentifier.arx.risk.RiskModelSampleRiskDistribution

-     public class RiskModelSampleRiskDistribution
      extends java.lang.Object

  Class representing the distribution of risks in the sample

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RiskModelSampleRiskDistribution(RiskModelHistogram histogram, ARXConfiguration config, boolean anonymous)` Creates a new instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `getAvailableLowerRiskThresholds()` Returns the lower bounds (exclusive) of the intervals for the according data points.
    `double[]` | `getAvailableUpperRiskThresholds()` Returns the lower bounds (inclusive) of the intervals for the according data points.
    `double` | `getFractionOfRecordsAtCumulativeRisk(double risk)` Returns the fraction of records with a risk lower than or equal to the given threshold.
    `double` | `getFractionOfRecordsAtRisk(double risk)` Returns the fraction of records with a risk which equals the given threshold.
    `double[]` | `getFractionOfRecordsForCumulativeRiskThresholds()` Returns an array of cumulative risks for the risk thresholds
    `double[]` | `getFractionOfRecordsForRiskThresholds()` Returns an array of risks for the risk thresholds
    `double` | `getRiskThreshold()` Returns the threshold for which is available on prosecutor risks

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RiskModelSampleRiskDistribution

          public RiskModelSampleRiskDistribution(RiskModelHistogram histogram,
                                         ARXConfiguration config,
                                         boolean anonymous)

      Creates a new instance
      Parameters:
        `histogram` -
        `config` -
        `anonymous` -

  - ### Method Detail

    - #### getAvailableLowerRiskThresholds

          public double[] getAvailableLowerRiskThresholds()

      Returns the lower bounds (exclusive) of the intervals for the according data points.
      Returns:

    - #### getAvailableUpperRiskThresholds

          public double[] getAvailableUpperRiskThresholds()

      Returns the lower bounds (inclusive) of the intervals for the according data points.
      Returns:

    - #### getFractionOfRecordsAtCumulativeRisk

          public double getFractionOfRecordsAtCumulativeRisk(double risk)

      Returns the fraction of records with a risk lower than or equal to the given threshold.
      Parameters:
        `risk` -
      Returns:

    - #### getFractionOfRecordsAtRisk

          public double getFractionOfRecordsAtRisk(double risk)

      Returns the fraction of records with a risk which equals the given threshold.
      Parameters:
        `risk` -
      Returns:

    - #### getFractionOfRecordsForCumulativeRiskThresholds

          public double[] getFractionOfRecordsForCumulativeRiskThresholds()

      Returns an array of cumulative risks for the risk thresholds
      Returns:

    - #### getFractionOfRecordsForRiskThresholds

          public double[] getFractionOfRecordsForRiskThresholds()

      Returns an array of risks for the risk thresholds
      Returns:

    - #### getRiskThreshold

          public double getRiskThreshold()

      Returns the threshold for which is available on prosecutor risks
      Returns: